.container {
  max-width: $max-media-mobile;
}

.burger-menu_button {
  position: fixed;
  top: 23px;
  right: 15px;
  width: 44px;
  height: 37px;
  background: #000000;
  transition: all 0.3s ease-in-out;
}

.burger-menu_lines::before,
.burger-menu_lines::after,
.burger-menu_lines {
  position: absolute;
  width: 17px;
  height: 2px;
  background-color: #ffffff;
  transition: 0.3s;
}
.burger-menu_lines {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.burger-menu_lines::before {
  content: "";
  top: -6px;
}
.burger-menu_lines::after {
  content: "";
  top: 6px;
}

.burger-menu_active .burger-menu_lines {
  background-color: transparent;
}
.burger-menu_active .burger-menu_lines::before {
  top: 0;
  transform: rotate(45deg);
}
.burger-menu_active .burger-menu_lines::after {
  top: 0;
  transform: rotate(-45deg);
}

.nav__menu {
  position: fixed;
  top: 60px;
  display: none;
  height: auto;
  width: 170px;
  background-color: #f5f5f5;
  overflow-y: auto;
  right: 15px;
  // transition: height 0.4s ease;

  &-link {
    @include nav-text();
    color: #4e4e4e;
    &:focus {
      color: $focus;
    }
  }
  &-item {
    padding: 3px 0 3px 13px;
  }
}

.burger-menu_active .burger-menu_nav {
  display: flex;
  flex-flow: column;
  transition: height 0.4s ease;
}

.nav__menu-item:hover {
  background-color: #e5e5e5;
}
.header__img {
  padding: 0 15px;
  width: 100%;
  height: auto;
  margin-top: 83px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

/* ==========================================================================
  $Media Tablet (min width 768px)
========================================================================== */

@media (min-width: $media-tablet) {
  .nav__menu {
    &-link {
      @include nav-text();
      padding-right: 30px;
      &:focus {
        color: $focus;
      }
    }
  }
  .header__img {
    margin-top: 40px;
    width: 768px;
    height: 361px;
  }
  .burger-menu_nav {
    display: flex;
    margin-top: 41px;
    background: none;
    position: static;
    justify-content: center;
    width: 100%;
  }
  .burger-menu_button {
    display: none;
  }
  .nav__menu-item:hover {
    background-color: $white;
  }
}

/* ==========================================================================
  $Media Desktop (min-width 1200px)
========================================================================== */
@media (min-width: $media-desktop) {
  .header__img {
    margin-top: 51px;
    width: 1170px;
    height: 550px;
    padding: 0;
  }

  .nav__menu {
    &-link {
      @include nav-text();
      padding-right: 68px;
    }
  }

  .burger-menu_nav {
    display: flex;
    margin-top: 45px;
    background: none;
    position: static;
    justify-content: center;
    width: 100%;
  }
  .burger-menu_button {
    display: none;
  }
}
